#include "stringutils.h"

#include <string>
#include <vector>
#include <algorithm>

namespace stringutils
{
    std::string to_lower(std::string string)
    {
        std::transform(string.begin(), string.end(), string.begin(),
                       [](unsigned char c)
                       { return std::tolower(c); });
        return string;
    }

    bool has_ending(const std::string &string, const std::string &ending)
    {
        return string.length() >= ending.length() &&
               string.compare(string.length() - ending.length(), ending.length(), ending) == 0;
    }

    bool has_any_ending(const std::string &string, const std::vector<std::string> &endings)
    {
        for (const auto ending : endings)
        {
            if (has_ending(string, ending))
            {
                return true;
            }
        }

        return false;
    }
}
